Bug 438577 - nautilus hangs trying to visit unavailable automount points listed in /etc/fstab
Summary: nautilus hangs trying to visit unavailable automount points listed in /etc/fstab
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-22 08:28 UTC by Alexandre Oliva
Modified: 2015-03-03 22:32 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-07-14 16:34:21 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2008-03-22 08:28:22 UTC
Description of problem:
My notebook's /etc/fstab, I have something like:

/net/free/dir  /dir            none    user,noauto,bind 0 0

such that I can, as a regular user, decide whether to bind-mount /dir from
/net/free (mounted by autofs), or a few other servers.

When free is off-line, or when I'm away from home such that free is unreachable,
nautilus stat()s /net/free and waits forever, before it even displays the
desktop background.  panels also get stuck at this point.


Version-Release number of selected component (if applicable):
nautilus-2.22.0-2.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.Set up automount to mount /net/<host> by default
2.Add /net/<down> to /etc/fstab
3.Log in
  
Actual results:
nautilus waits for <down> to come up, desktop is unusable

Expected results:
Usable desktop.  Letting user choose what server to use, as in F8.

Additional info:

Comment 1 Bug Zapper 2008-05-14 06:47:34 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-06-09 23:49:43 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 16:34:21 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.